/** @jsx jsx */
import React from "react";
import { jsx } from "@emotion/react";
import type { SerializedStyles } from "@emotion/react";
export interface ButtonProps {
    link?: string | any;
    onPress?: (event: any) => any;
    children?: React.ReactNode;
    disabled?: boolean;
    text?: string;
    css?: SerializedStyles;
    chonky?: boolean;
    icon?: React.ReactChild;
    type?: "primary" | "secondary";
    width?: number;
    full?: boolean;
}
export declare const Button: ({ link, onPress, children, disabled, text, chonky, icon, type, width, full, }: ButtonProps) => jsx.JSX.Element;
