/** @jsx jsx */
import React from "react";
import { jsx } from "@emotion/react";
import type { SerializedStyles } from "@emotion/react";
export interface FieldProps {
    name: string;
    value?: string;
    disabled?: boolean;
    error?: string;
    label?: string;
    onChange?: (value: string) => void;
    prefill?: string;
    padding?: number;
    icon?: React.ReactNode;
    css?: SerializedStyles;
}
export declare const Field: ({ name, value, disabled, label, error, onChange, prefill, padding, icon, }: FieldProps) => jsx.JSX.Element;
